Screener
Find the companies that match your criteria.
On this page
curl -sS "https://data.finks.ai/v1/screener" \
-H "Authorization: Bearer $FINKS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"query": {
"operation": "rank",
"subject": {
"subject_type": "company"
},
"predicates": [
{
"field": "sector",
"operator": "eq",
"value": "Technology"
},
{
"field": "ttm_price_to_earnings_ratio",
"operator": "between",
"value": {
"lower": 0,
"upper": 25
}
}
],
"ranking": [
{
"field": "market_cap",
"direction": "desc"
}
],
"requested_fields": [
"industry",
"market_cap",
"price",
"revenue",
"ttm_net_profit_margin",
"sector",
"ttm_price_to_earnings_ratio"
],
"limit": 10
}
}'